NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Facet.CleanupFacetBodyBuilder Class Reference

Represents a NXOpen.Facet.CleanupFacetBodyBuilder builder. More...

Inheritance diagram for NXOpen.Facet.CleanupFacetBodyBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CleanupOptions { None, Analyze, Repair }
 These represent the options for each facet defect More...
 
enum  OriginalBodyOptions { Keep, Hide, Delete }
 These represent the options for handling the input bodies More...
 

Public Member Functions

unsafe void DisplayCleanupReportInListWindow ()
 Displays the NXOpen.ListingWindow with numbers of various type of defects identified or repaired. More...
 
unsafe void SetAllOptionsToAnalyze ()
 Sets all cleanup options to Facet.CleanupFacetBodyBuilder.CleanupOptions.Analyze , which means to identify the defects only for the input bodies More...
 
unsafe void SetAllOptionsToNone ()
 Sets all cleanup options to Facet.CleanupFacetBodyBuilder.CleanupOptions.None , which means to do nothing More...
 
unsafe void SetAllOptionsToRepair ()
 Sets all cleanup options to Facet.CleanupFacetBodyBuilder.CleanupOptions.Repair , which means to identify as well as repair the defects for the input bodies More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double DistanceTolerance [get, set]
 Returns or sets the tolerance value use to detect the faults in facet body and fix the same More...
 
unsafe
NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions 
FoldedEdges [get, set]
 Returns or sets the option to identify or repair facets having an angle with adjacent facets less than a specified minimum value More...
 
unsafe
NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions 
InconsistentNormals [get, set]
 Returns or sets the option to identify or repair normals of neighboring facets or vertices that do not have the right orientation More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
InputBodies [get]
 Returns the input facet bodies to be analyzed or repaired More...
 
unsafe
NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions 
LaminarSlits [get, set]
 Returns or sets the option to identify or repair thin holes or slits in the mesh caused by facets not being aligned More...
 
unsafe
NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions 
LongFacets [get, set]
 Returns or sets the option to identify or repair facets with a ratio of longest to shortest side exceeding a specified value More...
 
unsafe double MaxRatioLongFacets [get, set]
 Returns or sets the specified value used to define long facets More...
 
unsafe double MinAngleFoldedFacets [get, set]
 Returns or sets the minimum angle between adjacent facets to define folded facets More...
 
unsafe int MinFacetNumberPerBody [get, set]
 Returns or sets the minimum number of facets per mesh More...
 
unsafe
NXOpen.Facet.CleanupFacetBodyBuilder.OriginalBodyOptions 
OriginalBodyOption [get, set]
 Returns or sets the option for handling the input facet bodies More...
 
unsafe
NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions 
SelfIntersections [get, set]
 Returns or sets the option to identify or repair facets of the same mesh intersecting each other More...
 
unsafe bool ShowInfo [get, set]
 Returns or sets the option to display numbers of various type of defects identified or repaired in the NXOpen.ListingWindow . More...
 
unsafe
NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions 
ThinFacets [get, set]
 Returns or sets the option to identify or repair facets with with one long edge and two edges with more or the less the same length and a ratio of length to width exceeding a specified value More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.CleanupFacetBodyBuilder builder.

It removes defects that are present in the surfaces of the bodies selected.

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateCleanupFacetBodyBuilder

Default values.

Property Value

FoldedEdges

Analyze

InconsistentNormals

Analyze

LaminarSlits

Analyze

LongFacets

Analyze

MaxRatioLongFacets

10

MinAngleFoldedFacets

15

OriginalBodyOption

Delete

SelfIntersections

Analyze

ShowInfo

0

ThinFacets

Analyze

Created in NX10.0.0

Member Enumeration Documentation

These represent the options for each facet defect

Enumerator
None 

Don't perform Analysis or Repair

Analyze 

Perform Analysis

Repair 

Perform Repair

These represent the options for handling the input bodies

Enumerator
Keep 

Keep original body

Hide 

Hide original body

Delete 

Delete original body

Member Function Documentation

unsafe void NXOpen.Facet.CleanupFacetBodyBuilder.DisplayCleanupReportInListWindow ( )
inline

Displays the NXOpen.ListingWindow with numbers of various type of defects identified or repaired.

If we call this method externally without UI, it displays the information on standard output device. The listing window output can be sent to the Information window or to a file, or to both. See NXOpen.ListingWindow.SelectDevice for more information.

Created in NX11.0.0

License requirements: None.

unsafe void NXOpen.Facet.CleanupFacetBodyBuilder.SetAllOptionsToAnalyze ( )
inline

Sets all cleanup options to Facet.CleanupFacetBodyBuilder.CleanupOptions.Analyze , which means to identify the defects only for the input bodies

Created in NX10.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Facet.CleanupFacetBodyBuilder.SetAllOptionsToNone ( )
inline

Sets all cleanup options to Facet.CleanupFacetBodyBuilder.CleanupOptions.None , which means to do nothing

Created in NX10.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

unsafe void NXOpen.Facet.CleanupFacetBodyBuilder.SetAllOptionsToRepair ( )
inline

Sets all cleanup options to Facet.CleanupFacetBodyBuilder.CleanupOptions.Repair , which means to identify as well as repair the defects for the input bodies

Created in NX10.0.0

License requirements: studio_free_form ("STUDIO FREE FORM")

Property Documentation

unsafe double NXOpen.Facet.CleanupFacetBodyBuilder.DistanceTolerance
getset

Returns or sets the tolerance value use to detect the faults in facet body and fix the same

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions NXOpen.Facet.CleanupFacetBodyBuilder.FoldedEdges
getset

Returns or sets the option to identify or repair facets having an angle with adjacent facets less than a specified minimum value

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions NXOpen.Facet.CleanupFacetBodyBuilder.InconsistentNormals
getset

Returns or sets the option to identify or repair normals of neighboring facets or vertices that do not have the right orientation

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Facet.CleanupFacetBodyBuilder.InputBodies
get

Returns the input facet bodies to be analyzed or repaired

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions NXOpen.Facet.CleanupFacetBodyBuilder.LaminarSlits
getset

Returns or sets the option to identify or repair thin holes or slits in the mesh caused by facets not being aligned

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions NXOpen.Facet.CleanupFacetBodyBuilder.LongFacets
getset

Returns or sets the option to identify or repair facets with a ratio of longest to shortest side exceeding a specified value

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Facet.CleanupFacetBodyBuilder.MaxRatioLongFacets
getset

Returns or sets the specified value used to define long facets

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe double NXOpen.Facet.CleanupFacetBodyBuilder.MinAngleFoldedFacets
getset

Returns or sets the minimum angle between adjacent facets to define folded facets

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe int NXOpen.Facet.CleanupFacetBodyBuilder.MinFacetNumberPerBody
getset

Returns or sets the minimum number of facets per mesh

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.CleanupFacetBodyBuilder.OriginalBodyOptions NXOpen.Facet.CleanupFacetBodyBuilder.OriginalBodyOption
getset

Returns or sets the option for handling the input facet bodies

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions NXOpen.Facet.CleanupFacetBodyBuilder.SelfIntersections
getset

Returns or sets the option to identify or repair facets of the same mesh intersecting each other

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe bool NXOpen.Facet.CleanupFacetBodyBuilder.ShowInfo
getset

Returns or sets the option to display numbers of various type of defects identified or repaired in the NXOpen.ListingWindow .

If this option is true, but the program is running externally without UI, display would go to a standard output devicethe. The listing window output can be sent to the Information window or to a file, or to both. See NXOpen.ListingWindow.SelectDevice for more information.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")

unsafe NXOpen.Facet.CleanupFacetBodyBuilder.CleanupOptions NXOpen.Facet.CleanupFacetBodyBuilder.ThinFacets
getset

Returns or sets the option to identify or repair facets with with one long edge and two edges with more or the less the same length and a ratio of length to width exceeding a specified value

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.